<?php

require_once(__DIR__ . '/vendor/autoload.php');

spl_autoload_register(function ($className) {
    
    // [dir]/classes/Tom.php;
    $ns = 'WcProdWidget\\';
    if (strpos($className, $ns) === 0) {
        
        $normalized = str_replace([$ns, '\\'], ['classes\\', DIRECTORY_SEPARATOR], $className);
        $file = realpath(__DIR__ . DIRECTORY_SEPARATOR . $normalized . '.php');
        if ($file !== false) {
            require_once($file);
        }
        
    }
    
});
