<?php

use WcProdWidget\Database;
use WcProdWidget\Widgets\ProductsWidget;

/*
 * Plugin Name: WooCommerce Products Widget
 * Description: This plugin provides the WooCommerce Products Widget.
 * Author: Rick Mac Gillis
 * Author URI: https://rickmacgillis.com
 * Version: 1.0.0
 */

require_once(__DIR__ . DIRECTORY_SEPARATOR . 'autoload.php');

Database::make();
add_action('widgets_init', [ProductsWidget::class, 'registerWidget']);
